EndpointsEpisodes

Watch selected episodes

GET/v2/episode-requests/changes

Starts with a snapshot, then returns changed episodes. Save each cursor after applying its page; delivery may repeat updates.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Query Parameters

ids*array<>

Batch IDs to watch together.

Items1 <= items <= 50
view?View

Progress only, or scores and failure details.

Default"progress"

Value in

  • "progress"
  • "results"
limit?Limit

Maximum changes returned.

Range1 <= value <= 200
Default100
cursor?|

Saved cursor, or omit to start a snapshot.

wait_seconds?Wait Seconds

Maximum seconds to wait when the cursor has caught up.

Range0 <= value <= 25
Default0
curl -X GET "https://example.com/v2/episode-requests/changes?ids=string"
{  "batches": [    {      "id": "string",      "status": "pending",      "episode_count": 0    }  ],  "phase": "snapshot",  "entries": [    {      "id": "string",      "experience_request_id": "string",      "revision": 0,      "removed": true,      "episode": {        "id": "string",        "experience_request_id": "string",        "created_at": "2019-08-24T14:15:22Z",        "status": "pending",        "error_type": "string",        "evidence_state": "pending",        "scores": [          {            "policy_version_id": "7cd41427-f4be-4006-ab17-5ead7f8f8446",            "score": 0          }        ],        "participants": [          {            "position": 0,            "kind": "policy",            "policy_version_id": "7cd41427-f4be-4006-ab17-5ead7f8f8446",            "policy_id": "ee9b03e0-6495-427a-85a5-34444d24ae04",            "policy_name": "string",            "version": 0,            "player_id": "string",            "player_name": "string",            "owner_name": "string",            "is_filler": false,            "is_seed": false          }        ],        "policy_version_ids": [          "de6640ed-6e83-4f61-9613-b56ec10dde91"        ],        "participant_scores": [          {            "position": 0,            "score": 0          }        ],        "error": "string",        "replay_url": "string"      }    }  ],  "next_cursor": "string",  "has_more": true,  "poll_after_seconds": 0,  "expires_at": "2019-08-24T14:15:22Z"}